#!/bin/sh
# Copyright start
# Copyright (C) 2008 - 2022 Fortinet Inc.
# All rights reserved.
# FORTINET CONFIDENTIAL & FORTINET PROPRIETARY SOURCE CODE
# Copyright end
search_word="/location \/gateway"
file_path="/etc/nginx/conf.d/"
file_name="cyops-api.conf"

grep "location /websocket" /etc/nginx/conf.d/cyops-api.conf
if [ $? = 0 ];then
        exit 1
fi

if [ -f $file_path/$file_name ]; then
        sudo cp $file_path/$file_name $file_path/$file_name.ori
        sudo sed -i -e $VAR "$search_word"/'i\
    location /websocket/ {\
         proxy_pass http://127.0.0.1:8080/notifier/;\
         proxy_http_version 1.1;\
         proxy_set_header Upgrade $http_upgrade;\
         proxy_set_header Connection "Upgrade";\
         proxy_set_header Host $http_host;\
#        proxy_set_header X-Real-IP $remote_addr;\
         proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;\
         proxy_set_header X-Forwarded-Proto https;\
         proxy_redirect off;\
   }' $file_path/$file_name
else
        echo "File not found: $file_path"
fi
